package com.goer.project.model.modelDbs.service.impl;

import java.util.List;
import com.goer.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goer.project.model.modelDbs.mapper.ModelDbsMapper;
import com.goer.project.model.modelDbs.domain.ModelDbs;
import com.goer.project.model.modelDbs.service.IModelDbsService;
import com.goer.common.utils.text.Convert;

/**
 * 模型对象数据库配置Service业务层处理
 * 
 * @author goer
 * @date 2022-01-17
 */
@Service
public class ModelDbsServiceImpl implements IModelDbsService 
{
    @Autowired
    private ModelDbsMapper modelDbsMapper;

    /**
     * 查询模型对象数据库配置
     * 
     * @param id 模型对象数据库配置主键
     * @return 模型对象数据库配置
     */
    @Override
    public ModelDbs selectModelDbsById(Long id)
    {
        return modelDbsMapper.selectModelDbsById(id);
    }

    /**
     * 查询模型对象默认数据库配置
     *
     * @param projectId 模型对象主键
     * @return 模型对象数据库配置
     */
    @Override
    public ModelDbs selectDefaultDbByProjectId(Long projectId) {
        return modelDbsMapper.selectDefaultDbByProjectId(projectId);
    }

    /**
     * 查询模型对象数据库配置列表
     * 
     * @param modelDbs 模型对象数据库配置
     * @return 模型对象数据库配置
     */
    @Override
    public List<ModelDbs> selectModelDbsList(ModelDbs modelDbs)
    {
        return modelDbsMapper.selectModelDbsList(modelDbs);
    }

    /**
     * 新增模型对象数据库配置
     * 
     * @param modelDbs 模型对象数据库配置
     * @return 结果
     */
    @Override
    public int insertModelDbs(ModelDbs modelDbs)
    {
        modelDbs.setCreateTime(DateUtils.getNowDate());
        return modelDbsMapper.insertModelDbs(modelDbs);
    }

    /**
     * 修改模型对象数据库配置
     * 
     * @param modelDbs 模型对象数据库配置
     * @return 结果
     */
    @Override
    public int updateModelDbs(ModelDbs modelDbs)
    {
        modelDbs.setUpdateTime(DateUtils.getNowDate());
        return modelDbsMapper.updateModelDbs(modelDbs);
    }

    /**
     * 批量删除模型对象数据库配置
     * 
     * @param ids 需要删除的模型对象数据库配置主键
     * @return 结果
     */
    @Override
    public int deleteModelDbsByIds(String ids)
    {
        return modelDbsMapper.deleteModelDbsByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除模型对象数据库配置信息
     * 
     * @param id 模型对象数据库配置主键
     * @return 结果
     */
    @Override
    public int deleteModelDbsById(Long id)
    {
        return modelDbsMapper.deleteModelDbsById(id);
    }

    /**
     * 修改模型对象数据库配置
     *
     * @param modelDbs 模型对象数据库配置
     * @return 结果
     */
    @Override
    public int setDefaultDb(ModelDbs modelDbs)
    {
        modelDbs.setUpdateTime(DateUtils.getNowDate());
        modelDbsMapper.resetDefaultDb(modelDbs);
        return modelDbsMapper.updateModelDbs(modelDbs);
    }
}
